Page MenuHomePhabricator

Write a simple smoke test for export
Closed, ResolvedPublic

Description

Currently, Export.php and SpecialExport.php have 0% test coverage. We need at least a basic smoke test to make sure export works, say export a simple page with one revision, and make sure it matches a saved XML output.

Event Timeline

TTO created this task.Oct 28 2015, 4:45 AM
TTO updated the task description. (Show Details)
TTO raised the priority of this task from to Normal.
TTO added a subscriber: TTO.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 28 2015, 4:45 AM

Should be fairly easy. Probably at the upper limit of a potential GCI task.

Mhutti1 claimed this task.Dec 23 2015, 11:11 PM

Change 260968 had a related patch set uploaded (by Mhutti1):
Added a simple smoke test for export

https://gerrit.wikimedia.org/r/260968

Reedy set Security to None.
Reedy moved this task from Proposed to Imported into GCI site on the Google-Code-In-2015 board.

Change 260968 merged by jenkins-bot:
Added a simple smoke test for export

https://gerrit.wikimedia.org/r/260968

TTO closed this task as Resolved.Dec 28 2015, 12:08 AM

Doesn't need release-notes, I think :)